diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/wifi/test/wifi-phy-ofdma-test.cc ns-3.36/src/wifi/test/wifi-phy-ofdma-test.cc
--- ns-3.35/src/wifi/test/wifi-phy-ofdma-test.cc	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/wifi/test/wifi-phy-ofdma-test.cc	2022-04-30 18:23:58.222735200 -0700
@@ -2503,18 +2649,6 @@
   delay += Seconds (1.0);
 
   //---------------------------------------------------------------------------
-  //Generate an interference on the full band and verify that both unsolicited HE TB PPDUs have been impacted
-  Simulator::Schedule (delay, &TestUlOfdmaPhyTransmission::LogScenario, this,
-                       "Reception of unsolicited HE TB PPDUs with interference on the full band during PSDU reception");
-  //A strong non-wifi interference is generated on the full band during PSDU reception
-  Simulator::Schedule (delay + MicroSeconds (50), &TestUlOfdmaPhyTransmission::GenerateInterference, this, interferencePsdAll, MilliSeconds (100));
-  ScheduleTest (delay, false,
-                WifiPhyState::CCA_BUSY, //PHY should move to CCA_BUSY instead of IDLE due to the interference
-                0, 1, 0,  //Reception of the PSDU from STA 1 should have failed (since interference occupies RU 1)
-                0, 1, 0); //Reception of the PSDU from STA 2 should have failed (since interference occupies RU 2)
-  delay += Seconds (1.0);
-
-  //---------------------------------------------------------------------------
   //Send another HE TB PPDU (of another UL MU transmission) on RU 1 and verify that both solicited HE TB PPDUs have been impacted if they are on the same
   // 20 MHz channel. Only STA 1's solicited HE TB PPDU is impacted otherwise.
   Simulator::Schedule (delay, &TestUlOfdmaPhyTransmission::LogScenario, this,
@@ -2544,19 +2678,6 @@
   delay += Seconds (1.0);
 
   //---------------------------------------------------------------------------
-  //Send another HE TB PPDU (of another UL MU transmission) on RU 1 and verify that both unsolicited HE TB PPDUs have been impacted if they are on the same
-  // 20 MHz channel. Only STA 1's unsolicited HE TB PPDU is impacted otherwise.
-  Simulator::Schedule (delay, &TestUlOfdmaPhyTransmission::LogScenario, this,
-                       "Reception of unsolicited HE TB PPDUs with another HE TB PPDU arriving on RU 1 during PSDU reception");
-  //Another HE TB PPDU arrives at AP on the same RU as STA 1 during PSDU reception
-  Simulator::Schedule (delay + MicroSeconds (50), &TestUlOfdmaPhyTransmission::SendHeTbPpdu, this, 3, 1, 1002, 1, 0);
-  ScheduleTest (delay, false,
-                WifiPhyState::CCA_BUSY, //PHY should move to CCA_BUSY instead of IDLE due to the interference on primary channel width
-                0, 1, 0,  //Reception of the PSDU from STA 1 should have failed (since interference from STA 3 on same 20 MHz channel)
-                succ, fail, bytes); //same as solicited case
-  delay += Seconds (1.0);
-
-  //---------------------------------------------------------------------------
   //Send another HE TB PPDU (of another UL MU transmission) on RU 2 and verify that both solicited HE TB PPDUs have been impacted if they are on the same
   // 20 MHz channel. Only STA 2's solicited HE TB PPDU is impacted otherwise.
   Simulator::Schedule (delay, &TestUlOfdmaPhyTransmission::LogScenario, this,
@@ -2585,19 +2706,6 @@
   delay += Seconds (1.0);
 
   //---------------------------------------------------------------------------
-  //Send another HE TB PPDU (of another UL MU transmission) on RU 2 and verify that both unsolicited HE TB PPDUs have been impacted if they are on the same
-  // 20 MHz channel. Only STA 2's unsolicited HE TB PPDU is impacted otherwise.
-  Simulator::Schedule (delay, &TestUlOfdmaPhyTransmission::LogScenario, this,
-                       "Reception of unsolicited HE TB PPDUs with another HE TB PPDU arriving on RU2 during payload reception");
-  //Another HE TB PPDU arrives at AP on the same RU as STA 2 during PSDU reception
-  Simulator::Schedule (delay + MicroSeconds (50), &TestUlOfdmaPhyTransmission::SendHeTbPpdu, this, 3, 2, 1002, 1, 0);
-  ScheduleTest (delay, false,
-                (m_channelWidth >= 40) ? WifiPhyState::IDLE : WifiPhyState::CCA_BUSY, //PHY should move to CCA_BUSY instead of IDLE if interference on primary channel
-                succ, fail, bytes, //same as solicited case
-                0, 1, 0); //Reception of the PSDU from STA 2 should have failed (since interference from STA 3 on same 20 MHz channel)
-  delay += Seconds (1.0);
-
-  //---------------------------------------------------------------------------
   //Send an HE SU PPDU during 400 ns window and verify that both solicited HE TB PPDUs have been impacted
   Simulator::Schedule (delay, &TestUlOfdmaPhyTransmission::LogScenario, this,
                        "Reception of solicited HE TB PPDUs with an HE SU PPDU arriving during the 400 ns window");
@@ -2610,24 +2718,12 @@
   delay += Seconds (1.0);
 
   //---------------------------------------------------------------------------
-  //Send an HE SU PPDU during 400 ns window and verify that both solicited HE TB PPDUs have been impacted
-  Simulator::Schedule (delay, &TestUlOfdmaPhyTransmission::LogScenario, this,
-                       "Reception of unsolicited HE TB PPDUs with an HE SU PPDU arriving during the 400 ns window");
-  //One HE SU arrives at AP during the 400ns window
-  Simulator::Schedule (delay + NanoSeconds (300), &TestUlOfdmaPhyTransmission::SendHeSuPpdu, this, 3, 1002, 1, 0);
-  ScheduleTest (delay, false,
-                WifiPhyState::IDLE,
-                0, 1, 0,  //Reception of the PSDU from STA 1 should have failed failed (since interference from STA 3)
-                0, 1, 0); //Reception of the PSDU from STA 2 should have failed failed (since interference from STA 3)
-  delay += Seconds (1.0);
-
-  //---------------------------------------------------------------------------
   //Only send a solicited HE TB PPDU from STA 2 on RU 2 and verify that it has been correctly received
   Simulator::Schedule (delay, &TestUlOfdmaPhyTransmission::LogScenario, this,
                        "Reception of solicited HE TB PPDU only on RU 2");
-  //Check that STA3 will correctly set its state to RX if in measurement channel or IDLE otherwise
+  //Check that STA3 will correctly set its state to CCA_BUSY if in measurement channel or IDLE otherwise
   Simulator::Schedule (delay + m_expectedPpduDuration - NanoSeconds (1), &TestUlOfdmaPhyTransmission::CheckPhyState, this, m_phySta3,
-                       (m_channelWidth >= 40) ? WifiPhyState::IDLE : WifiPhyState::RX); //PHY should move to RX instead of IDLE if HE TB PPDU on primary channel;
+                       (m_channelWidth >= 40) ? WifiPhyState::IDLE : WifiPhyState::CCA_BUSY); //PHY should move to CCA_BUSY instead of IDLE if HE TB PPDU on primary channel;
   ScheduleTest (delay, true,
                 WifiPhyState::IDLE,
                 0, 0, 0,    //No transmission scheduled for STA 1
@@ -2636,39 +2732,6 @@
   delay += Seconds (1.0);
 
   //---------------------------------------------------------------------------
-  //Only send an unsolicited HE TB PPDU from STA 2 on RU 2 and verify that it has been correctly received if it's in the
-  // correct measurement channel
-  Simulator::Schedule (delay, &TestUlOfdmaPhyTransmission::LogScenario, this,
-                       "Reception of unsolicited HE TB PPDUs only on RU 2");
-  //Check that STA3 will correctly set its state to RX if in measurement channel or IDLE otherwise
-  Simulator::Schedule (delay + m_expectedPpduDuration - NanoSeconds (1), &TestUlOfdmaPhyTransmission::CheckPhyState, this, m_phySta3,
-                       (m_channelWidth >= 40) ? WifiPhyState::IDLE : WifiPhyState::RX); //PHY should move to RX instead of IDLE if HE TB PPDU on primary channel;
-  //Expected figures from STA 2
-  WifiPhyState state;
-  if (m_channelWidth == 20)
-    {
-      //One PSDU of 1001 bytes should have been successfully received from STA 2 (since measurement channel is primary channel)
-      succ = 1;
-      fail = 0;
-      bytes = 1001;
-      state = WifiPhyState::RX;
-    }
-  else
-    {
-      //No PSDU should have been received from STA 2 (since measurement channel is primary channel)
-      succ = 0;
-      fail = 0;
-      bytes = 0;
-      state = WifiPhyState::IDLE;
-    }
-  ScheduleTest (delay, false,
-                WifiPhyState::IDLE,
-                0, 0, 0, //No transmission scheduled for STA 1
-                succ, fail, bytes,
-                false, state);
-  delay += Seconds (1.0);
-
-  //---------------------------------------------------------------------------
   //Measure the power of a solicited HE TB PPDU from STA 2 on RU 2
   Simulator::Schedule (delay, &TestUlOfdmaPhyTransmission::LogScenario, this,
                        "Measure power for reception of HE TB PPDU only on RU 2");
@@ -2799,6 +2862,12 @@
    * \param txDuration the duration of the PPDU
    */
   void SendHeTbPpdu (uint16_t txStaId, std::size_t index, std::size_t payloadSize, Time txDuration);
+  /**
+   * Set TRIGVECTOR for HE TB PPDU
+   *
+   * \param ppduDuration the duration of the HE TB PPDU
+   */
+  void SetTrigVector (Time ppduDuration);
 
   /**
    * Generate interference function
@@ -2925,7 +2994,7 @@
       phy = m_phySta2;
     }
 
-  txVector.SetLength (HePhy::ConvertHeTbPpduDurationToLSigLength (txDuration, phy->GetPhyBand ()));
+  txVector.SetLength (HePhy::ConvertHeTbPpduDurationToLSigLength (txDuration, txVector, phy->GetPhyBand ()).first);
 
   phy->SetPpduUid (0);
   phy->Send (psdus, txVector);
@@ -3054,7 +3123,7 @@
   apDev->SetMac (apMac);
   m_phyAp = CreateObject<OfdmaSpectrumWifiPhy> (0);
   m_phyAp->CreateWifiSpectrumPhyInterface (apDev);
-  m_phyAp->ConfigureStandardAndBand (WIFI_PHY_STANDARD_80211ax, WIFI_PHY_BAND_5GHZ);
+  m_phyAp->ConfigureStandard (WIFI_STANDARD_80211ax);
   Ptr<HeConfiguration> heConfiguration = CreateObject<HeConfiguration> ();
   apDev->SetHeConfiguration (heConfiguration);
   Ptr<ErrorRateModel> error = CreateObject<NistErrorRateModel> ();
@@ -3062,8 +3131,13 @@
   m_phyAp->SetDevice (apDev);
   m_phyAp->SetChannel (spectrumChannel);
   m_phyAp->AssignStreams (streamNumber);
-  m_phyAp->SetFrequency (DEFAULT_FREQUENCY);
-  m_phyAp->SetChannelWidth (DEFAULT_CHANNEL_WIDTH);
+  auto channelNum = std::get<0> (*WifiPhyOperatingChannel::FindFirst (0, DEFAULT_FREQUENCY,
+                                                                      DEFAULT_CHANNEL_WIDTH,
+                                                                      WIFI_STANDARD_80211ax,
+                                                                      WIFI_PHY_BAND_5GHZ));
+
+  m_phyAp->SetOperatingChannel (WifiPhy::ChannelTuple {channelNum, DEFAULT_CHANNEL_WIDTH,
+                                                       (int)(WIFI_PHY_BAND_5GHZ), 0});
   m_phyAp->SetReceiveOkCallback (MakeCallback (&TestPhyPaddingExclusion::RxSuccess, this));
   m_phyAp->SetReceiveErrorCallback (MakeCallback (&TestPhyPaddingExclusion::RxFailure, this));
   Ptr<ConstantPositionMobilityModel> apMobility = CreateObject<ConstantPositionMobilityModel> ();
@@ -3076,13 +3150,13 @@
   Ptr<WifiNetDevice> sta1Dev = CreateObject<WifiNetDevice> ();
   m_phySta1 = CreateObject<OfdmaSpectrumWifiPhy> (1);
   m_phySta1->CreateWifiSpectrumPhyInterface (sta1Dev);
-  m_phySta1->ConfigureStandardAndBand (WIFI_PHY_STANDARD_80211ax, WIFI_PHY_BAND_5GHZ);
+  m_phySta1->ConfigureStandard (WIFI_STANDARD_80211ax);
   m_phySta1->SetErrorRateModel (error);
   m_phySta1->SetDevice (sta1Dev);
   m_phySta1->SetChannel (spectrumChannel);
   m_phySta1->AssignStreams (streamNumber);
-  m_phySta1->SetFrequency (DEFAULT_FREQUENCY);
-  m_phySta1->SetChannelWidth (DEFAULT_CHANNEL_WIDTH);
+  m_phySta1->SetOperatingChannel (WifiPhy::ChannelTuple {channelNum, DEFAULT_CHANNEL_WIDTH,
+                                                         (int)(WIFI_PHY_BAND_5GHZ), 0});
   Ptr<ConstantPositionMobilityModel> sta1Mobility = CreateObject<ConstantPositionMobilityModel> ();
   m_phySta1->SetMobility (sta1Mobility);
   sta1Dev->SetPhy (m_phySta1);
@@ -3093,13 +3167,13 @@
   Ptr<WifiNetDevice> sta2Dev = CreateObject<WifiNetDevice> ();
   m_phySta2 = CreateObject<OfdmaSpectrumWifiPhy> (2);
   m_phySta2->CreateWifiSpectrumPhyInterface (sta2Dev);
-  m_phySta2->ConfigureStandardAndBand (WIFI_PHY_STANDARD_80211ax, WIFI_PHY_BAND_5GHZ);
+  m_phySta2->ConfigureStandard (WIFI_STANDARD_80211ax);
   m_phySta2->SetErrorRateModel (error);
   m_phySta2->SetDevice (sta2Dev);
   m_phySta2->SetChannel (spectrumChannel);
   m_phySta2->AssignStreams (streamNumber);
-  m_phySta2->SetFrequency (DEFAULT_FREQUENCY);
-  m_phySta2->SetChannelWidth (DEFAULT_CHANNEL_WIDTH);
+  m_phySta2->SetOperatingChannel (WifiPhy::ChannelTuple {channelNum, DEFAULT_CHANNEL_WIDTH,
+                                                         (int)(WIFI_PHY_BAND_5GHZ), 0});
   Ptr<ConstantPositionMobilityModel> sta2Mobility = CreateObject<ConstantPositionMobilityModel> ();
   m_phySta2->SetMobility (sta2Mobility);
   sta2Dev->SetPhy (m_phySta2);
@@ -3129,6 +3203,26 @@
 }
 
 void
+TestPhyPaddingExclusion::SetTrigVector (Time ppduDuration)
+{
+  WifiTxVector trigVector (HePhy::GetHeMcs7 (), 0, WIFI_PREAMBLE_HE_TB, 800, 1, 1, 0,
+                           DEFAULT_CHANNEL_WIDTH, false, false, 1);
+  trigVector.SetRu (HeRu::RuSpec (HeRu::RU_106_TONE, 1, false), 1);
+  trigVector.SetMode (HePhy::GetHeMcs7 (), 1);
+  trigVector.SetNss (1, 1);
+  trigVector.SetRu (HeRu::RuSpec (HeRu::RU_106_TONE, 2, false), 2);
+  trigVector.SetMode (HePhy::GetHeMcs7 (), 2);
+  trigVector.SetNss (1, 2);
+  uint16_t length;
+  std::tie (length, ppduDuration) = HePhy::ConvertHeTbPpduDurationToLSigLength (ppduDuration,
+                                                                                trigVector,
+                                                                                m_phyAp->GetPhyBand ());
+  trigVector.SetLength (length);
+  auto hePhyAp = DynamicCast<HePhy> (m_phyAp->GetPhyEntity (WIFI_MOD_CLASS_HE));
+  hePhyAp->SetTrigVector (trigVector, ppduDuration);
+}
+
+void
 TestPhyPaddingExclusion::DoRun (void)
 {
   Time expectedPpduDuration = NanoSeconds (279200);
@@ -3140,6 +3234,10 @@
   Simulator::Schedule (Seconds (1.0), &TestPhyPaddingExclusion::SendHeTbPpdu, this, 1, 1, 1000, ppduWithPaddingDuration);
   Simulator::Schedule (Seconds (1.0), &TestPhyPaddingExclusion::SendHeTbPpdu, this, 2, 2, 1001, ppduWithPaddingDuration);
 
+  // Set TRIGVECTOR on AP
+  Simulator::Schedule (Seconds (1.0), &TestPhyPaddingExclusion::SetTrigVector, this,
+                       ppduWithPaddingDuration);
+
   //Verify it takes expectedPpduDuration + padding to transmit the PPDUs
   Simulator::Schedule (Seconds (1.0) + ppduWithPaddingDuration - NanoSeconds (1), &TestPhyPaddingExclusion::CheckPhyState, this, m_phyAp, WifiPhyState::RX);
   Simulator::Schedule (Seconds (1.0) + ppduWithPaddingDuration, &TestPhyPaddingExclusion::CheckPhyState, this, m_phyAp, WifiPhyState::IDLE);
@@ -3158,6 +3256,10 @@
   Simulator::Schedule (Seconds (2.0), &TestPhyPaddingExclusion::SendHeTbPpdu, this, 1, 1, 1000, ppduWithPaddingDuration);
   Simulator::Schedule (Seconds (2.0), &TestPhyPaddingExclusion::SendHeTbPpdu, this, 2, 2, 1001, ppduWithPaddingDuration);
 
+  // Set TRIGVECTOR on AP
+  Simulator::Schedule (Seconds (2.0), &TestPhyPaddingExclusion::SetTrigVector, this,
+                       ppduWithPaddingDuration);
+
   //A strong non-wifi interference is generated on RU 1 during padding reception
   BandInfo bandInfo;
   bandInfo.fc = (DEFAULT_FREQUENCY - (DEFAULT_CHANNEL_WIDTH / 4)) * 1e6;
@@ -3310,7 +3412,6 @@
   //Build MU-BAR trigger frame
   CtrlTriggerHeader muBar;
   muBar.SetType (MU_BAR_TRIGGER);
-  muBar.SetUlLength (HePhy::ConvertHeTbPpduDurationToLSigLength (MicroSeconds (128), WIFI_PHY_BAND_5GHZ));
   muBar.SetMoreTF (true);
   muBar.SetCsRequired (true);
   muBar.SetUlBandwidth (DEFAULT_CHANNEL_WIDTH);
@@ -3353,6 +3454,9 @@
       ++index;
     }
 
+  WifiTxVector tbTxVector = muBar.GetHeTbTxVector (staIds.front ());
+  muBar.SetUlLength (HePhy::ConvertHeTbPpduDurationToLSigLength (MicroSeconds (128), tbTxVector, WIFI_PHY_BAND_5GHZ).first);
+
   WifiConstPsduMap psdus;
   WifiTxVector txVector = WifiTxVector (HePhy::GetHeMcs7 (), 0, WIFI_PREAMBLE_HE_SU, 800, 1, 1, 0,
                                         DEFAULT_CHANNEL_WIDTH, false, false, false, m_bssColor);
@@ -3388,7 +3492,7 @@
 
   Time nav = m_apDev->GetPhy ()->GetSifs ();
   uint16_t staId = staIds.front (); //either will do
-  nav += m_phyAp->CalculateTxDuration (GetBlockAckSize (BlockAckType::COMPRESSED), muBar.GetHeTbTxVector (staId), DEFAULT_WIFI_BAND, staId);
+  nav += m_phyAp->CalculateTxDuration (GetBlockAckSize (BlockAckType::COMPRESSED), tbTxVector, DEFAULT_WIFI_BAND, staId);
   psdu->SetDuration (nav);
   psdus.insert (std::make_pair (SU_STA_ID, psdu));
 
@@ -3441,11 +3545,10 @@
   SpectrumWifiPhyHelper spectrumPhy;
   spectrumPhy.SetChannel (spectrumChannel);
   spectrumPhy.SetErrorRateModel ("ns3::NistErrorRateModel");
-  spectrumPhy.Set ("Frequency", UintegerValue (DEFAULT_FREQUENCY));
-  spectrumPhy.Set ("ChannelWidth", UintegerValue (DEFAULT_CHANNEL_WIDTH));
+  spectrumPhy.Set ("ChannelSettings", StringValue ("{0, 0, BAND_5GHZ, 0}"));
 
   WifiHelper wifi;
-  wifi.SetStandard (WIFI_STANDARD_80211ax_5GHZ);
+  wifi.SetStandard (WIFI_STANDARD_80211ax);
   wifi.SetRemoteStationManager ("ns3::ConstantRateWifiManager",
                                 "DataMode", StringValue ("HeMcs7"),
                                 "ControlMode", StringValue ("HeMcs7"));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/wifi/test/wifi-phy-reception-test.cc ns-3.36/src/wifi/test/wifi-phy-reception-test.cc
--- ns-3.35/src/wifi/test/wifi-phy-reception-test.cc	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/wifi/test/wifi-phy-reception-test.cc	2022-04-30 18:23:58.222735200 -0700
@@ -29,6 +29,7 @@
 #include "ns3/packet-socket-server.h"
 #include "ns3/test.h"
 #include "ns3/double.h"
+#include "ns3/boolean.h"
 #include "ns3/pointer.h"
 #include "ns3/rng-seed-manager.h"
 #include "ns3/spectrum-wifi-helper.h"
@@ -203,11 +204,10 @@
 TestThresholdPreambleDetectionWithoutFrameCapture::DoSetup (void)
 {
   m_phy = CreateObject<SpectrumWifiPhy> ();
-  m_phy->ConfigureStandardAndBand (WIFI_PHY_STANDARD_80211ax, WIFI_PHY_BAND_5GHZ);
+  m_phy->ConfigureStandard (WIFI_STANDARD_80211ax);
   Ptr<ErrorRateModel> error = CreateObject<NistErrorRateModel> ();
   m_phy->SetErrorRateModel (error);
-  m_phy->SetChannelNumber (CHANNEL_NUMBER);
-  m_phy->SetFrequency (FREQUENCY);
+  m_phy->SetOperatingChannel (WifiPhy::ChannelTuple {CHANNEL_NUMBER, 0, WIFI_PHY_BAND_5GHZ, 0});
   m_phy->SetReceiveOkCallback (MakeCallback (&TestThresholdPreambleDetectionWithoutFrameCapture::RxSuccess, this));
   m_phy->SetReceiveErrorCallback (MakeCallback (&TestThresholdPreambleDetectionWithoutFrameCapture::RxFailure, this));
 
@@ -568,11 +568,10 @@
 TestThresholdPreambleDetectionWithFrameCapture::DoSetup (void)
 {
   m_phy = CreateObject<SpectrumWifiPhy> ();
-  m_phy->ConfigureStandardAndBand (WIFI_PHY_STANDARD_80211ax, WIFI_PHY_BAND_5GHZ);
+  m_phy->ConfigureStandard (WIFI_STANDARD_80211ax);
   Ptr<ErrorRateModel> error = CreateObject<NistErrorRateModel> ();
   m_phy->SetErrorRateModel (error);
-  m_phy->SetChannelNumber (CHANNEL_NUMBER);
-  m_phy->SetFrequency (FREQUENCY);
+  m_phy->SetOperatingChannel (WifiPhy::ChannelTuple {CHANNEL_NUMBER, 0, WIFI_PHY_BAND_5GHZ, 0});
   m_phy->SetReceiveOkCallback (MakeCallback (&TestThresholdPreambleDetectionWithFrameCapture::RxSuccess, this));
   m_phy->SetReceiveErrorCallback (MakeCallback (&TestThresholdPreambleDetectionWithFrameCapture::RxFailure, this));
 
@@ -1107,11 +1106,10 @@
 TestSimpleFrameCaptureModel::DoSetup (void)
 {
   m_phy = CreateObject<SpectrumWifiPhy> ();
-  m_phy->ConfigureStandardAndBand (WIFI_PHY_STANDARD_80211ax, WIFI_PHY_BAND_5GHZ);
+  m_phy->ConfigureStandard (WIFI_STANDARD_80211ax);
   Ptr<ErrorRateModel> error = CreateObject<NistErrorRateModel> ();
   m_phy->SetErrorRateModel (error);
-  m_phy->SetChannelNumber (CHANNEL_NUMBER);
-  m_phy->SetFrequency (FREQUENCY);
+  m_phy->SetOperatingChannel (WifiPhy::ChannelTuple {CHANNEL_NUMBER, 0, WIFI_PHY_BAND_5GHZ, 0});
 
   m_phy->SetReceiveOkCallback (MakeCallback (&TestSimpleFrameCaptureModel::RxSuccess, this));
   m_phy->TraceConnectWithoutContext ("PhyRxDrop", MakeCallback (&TestSimpleFrameCaptureModel::RxDropped, this));
@@ -1281,11 +1279,10 @@
 TestPhyHeadersReception::DoSetup (void)
 {
   m_phy = CreateObject<SpectrumWifiPhy> ();
-  m_phy->ConfigureStandardAndBand (WIFI_PHY_STANDARD_80211ax, WIFI_PHY_BAND_5GHZ);
+  m_phy->ConfigureStandard (WIFI_STANDARD_80211ax);
   Ptr<ErrorRateModel> error = CreateObject<NistErrorRateModel> ();
   m_phy->SetErrorRateModel (error);
-  m_phy->SetChannelNumber (CHANNEL_NUMBER);
-  m_phy->SetFrequency (FREQUENCY);
+  m_phy->SetOperatingChannel (WifiPhy::ChannelTuple {CHANNEL_NUMBER, 0, WIFI_PHY_BAND_5GHZ, 0});
 }
 
 void
@@ -1779,11 +1776,10 @@
 TestAmpduReception::DoSetup (void)
 {
   m_phy = CreateObject<SpectrumWifiPhy> ();
-  m_phy->ConfigureStandardAndBand (WIFI_PHY_STANDARD_80211ax, WIFI_PHY_BAND_5GHZ);
+  m_phy->ConfigureStandard (WIFI_STANDARD_80211ax);
   Ptr<ErrorRateModel> error = CreateObject<NistErrorRateModel> ();
   m_phy->SetErrorRateModel (error);
-  m_phy->SetChannelNumber (CHANNEL_NUMBER);
-  m_phy->SetFrequency (FREQUENCY);
+  m_phy->SetOperatingChannel (WifiPhy::ChannelTuple {CHANNEL_NUMBER, 0, WIFI_PHY_BAND_5GHZ, 0});
 
   m_phy->SetReceiveOkCallback (MakeCallback (&TestAmpduReception::RxSuccess, this));
   m_phy->SetReceiveErrorCallback (MakeCallback (&TestAmpduReception::RxFailure, this));
@@ -2454,12 +2450,12 @@
   mac.SetType ("ns3::StaWifiMac", "QosSupported", BooleanValue (true), "Ssid",
                SsidValue (Ssid ("non-existent-ssid")));
 
-  wifi.SetStandard (WIFI_STANDARD_80211ax_5GHZ);
+  wifi.SetStandard (WIFI_STANDARD_80211ax);
   m_staDevices.Add (wifi.Install (phy, mac, wifiStaNodes.Get (0)));
   wifi.SetStandard (WIFI_STANDARD_80211ac);
   m_staDevices.Add (wifi.Install (phy, mac, wifiStaNodes.Get (1)));
 
-  wifi.SetStandard (WIFI_STANDARD_80211ax_5GHZ);
+  wifi.SetStandard (WIFI_STANDARD_80211ax);
   mac.SetType ("ns3::ApWifiMac", "QosSupported", BooleanValue (true), "Ssid",
                SsidValue (Ssid ("wifi-backoff-ssid")), "BeaconInterval",
                TimeValue (MicroSeconds (102400)), "EnableBeaconJitter", BooleanValue (false));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/wifi/test/wifi-phy-thresholds-test.cc ns-3.36/src/wifi/test/wifi-phy-thresholds-test.cc
--- ns-3.35/src/wifi/test/wifi-phy-thresholds-test.cc	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/wifi/test/wifi-phy-thresholds-test.cc	2022-04-30 18:23:58.222735200 -0700
@@ -230,11 +230,10 @@
 WifiPhyThresholdsTest::DoSetup (void)
 {
   m_phy = CreateObject<SpectrumWifiPhy> ();
-  m_phy->ConfigureStandardAndBand (WIFI_PHY_STANDARD_80211ax, WIFI_PHY_BAND_5GHZ);
+  m_phy->ConfigureStandard (WIFI_STANDARD_80211ax);
   Ptr<ErrorRateModel> error = CreateObject<NistErrorRateModel> ();
   m_phy->SetErrorRateModel (error);
-  m_phy->SetChannelNumber (CHANNEL_NUMBER);
-  m_phy->SetFrequency (FREQUENCY);
+  m_phy->SetOperatingChannel (WifiPhy::ChannelTuple {CHANNEL_NUMBER, 0, WIFI_PHY_BAND_5GHZ, 0});
   m_phy->SetReceiveOkCallback (MakeCallback (&WifiPhyThresholdsTest::RxSuccess, this));
   m_phy->SetReceiveErrorCallback (MakeCallback (&WifiPhyThresholdsTest::RxFailure, this));
   m_phy->TraceConnectWithoutContext ("PhyRxDrop", MakeCallback (&WifiPhyThresholdsTest::RxDropped, this));
